[2/3] msmtp: disable libidn support

Submitted by Kang Kai on Sept. 4, 2012, 2:32 a.m.

Details

Message ID cd7f775fed1c56e909480087dda6d54849e83a31.1346666634.git.kai.kang@windriver.com
State New
Headers show

Commit Message

Kang Kai Sept. 4, 2012, 2:32 a.m.
When libidn has been populated to sysroot but rpm packages are not
created, build msmtp will check libidn support automatically and then
depends on libidn. But package libidn doesn't exist, build image which
includes msmtp will fail with:

| error: Failed dependencies:
| 	libidn11 >= 1.25 is needed by msmtp-1.4.24-r3.i586
| 	libidn.so.11(LIBIDN_1.0) is needed by msmtp-1.4.24-r3.i586
| 	libidn.so.11 is needed by msmtp-1.4.24-r3.i586

Disable libidn support to fix this issue.

Signed-off-by: Kang Kai <kai.kang@windriver.com>
---
 meta/recipes-extended/msmtp/msmtp_1.4.24.bb |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

Patch hide | download patch | download mbox

diff --git a/meta/recipes-extended/msmtp/msmtp_1.4.24.bb b/meta/recipes-extended/msmtp/msmtp_1.4.24.bb
index 08566ca..13de167 100644
--- a/meta/recipes-extended/msmtp/msmtp_1.4.24.bb
+++ b/meta/recipes-extended/msmtp/msmtp_1.4.24.bb
@@ -5,7 +5,7 @@  SECTION = "console/network"
 
 LICENSE = "GPLv3"
 DEPENDS = "zlib gnutls"
-PR = "r3"
+PR = "r4"
 
 
 #COPYING or Licence
@@ -19,7 +19,7 @@  SRC_URI[sha256sum] = "f19f3fcc67da448420b3adbd5add09f8fe110664dd64f3c2cd693ef0cb
 
 inherit gettext autotools update-alternatives
 
-EXTRA_OECONF += "--without-gnome-keyring"
+EXTRA_OECONF += "--without-gnome-keyring --without-libidn"
 
 ALTERNATIVE_${PN} = "sendmail"
 ALTERNATIVE_TARGET[sendmail] = "${bindir}/msmtp"